Skip to main content

Delete an existing channel

Agent Skill

Automate this endpoint with an AI agent using the 2chat-whatsapp skill:

npx skills add 2ChatCo/agent-skills -s 2chat-whatsapp

With this endpoint you can delete a channel you connected to 2Chat.

Parameters​

You will need to know the UUID of the number you connected to 2Chat.

You can get it using the List Numbers Endpoint.

Invocation​

For the following examples, we will use WPNf3ea6c85-0dca-4d8a-a9a6-2b918f59cc97 as the UUID of the number we want to delete.

curl -X DELETE --location 'https://api.p.2chat.io/open/whatsapp/channel/WPNf3ea6c85-0dca-4d8a-a9a6-2b918f59cc97' \
--header 'Content-Type: application/json' \
--header 'X-User-API-Key: your_api_key_here'

Response​

If the deletion was successful, you will see the following output:

{
"success": true
}